function OnWarpEnter() 
	SetMarker("cs\\Warp_0020.wp" , 0 , 0) 

	if not DebutPart2 then
		DebutPart2 = true
		ETAT_DAY = "D3" 
		SetCesarDressable(true)
	end

	if ETAT_DAY == "D3" then 
		--------------------------------------------------------------------------------- Paramètres de début de partie
		if not Part2 then
			AddToBagWithoutNotification("A_briquet")
			AddToBagWithoutNotification("A_cesar")
			AddToBagWithoutNotification("A_madeleine")
			AddToBagWithoutNotification("A_pierre_nostradamus")
			AddToBagWithoutNotification("A_recipient")
			AddToBagWithoutNotification("B_pommes_mandragore")
			AddToBagWithoutNotification("C_clef_philibe")
			AddToBagWithoutNotification("C_note_scribe2")
			AddToBagWithoutNotification("C_petit_paqu") -- donc pas de page 8
			AddToBagWithoutNotification("C_feuillet_frois")

			SetDiaryPage(0, "Page0")
			SetDiaryPage(1, "Page1")
			SetDiaryPage(2, "Page2")
			SetDiaryPage(3, "Page3")
			SetDiaryPage(4, "Page4_02")
			SetDiaryPage(5, "Page5_04")
			SetDiaryPage(6, "Page6_02")
			SetDiaryPage(7, "Page7_02")
			SetDiaryPage(9, "Page9")

			SetRecipiesPage(0, "Page0")
			SetRecipiesPage(1, "Page1")
			SetRecipiesPage(2, "Page2")
			SetRecipiesPage(3, "Page3")
			--SetRecipiesPage(4, "Page4")
			--SetRecipiesPage(6, "Page6")

			ShowDocument("ChoixCostume")
			SetWartVisible(true)

			Part2 = true
			Bucket_up_empty = true  -- Puits pour Tisane
			Rope_Ready_027 = true  -- Puits pour Tisane
			balcony_open = true
			DRESS_MADELEINE = true
			Music_Change = true
		end
	end

	if Music_Change then
		Music_Change = false
		PlayMusic("Sounds/Musiques/M_Day1.ogg")
	end

	-- feu cheminée
	AnimationSetToStart("cfa1", false)

	if  door_018_open and not Part2 then 
		-- porte armoire
		AnimationSetToEnd("cdan")
	else
		AnimationSetToStart("cdan")
	end

--DAY 3
	if ETAT_DAY == "D3" then 
	    if not DAY_3_INIT then
		DESK_COVER_0017_D3 = true
		GUARD_ON_PASSAGE_0072_D3 = true
		DAY_3_INIT = true
	   end
		if not BeenIn_019_D3 then
		-- Peut être le dialogue début jour 3 ?
--		DrawText("Ma1914", "Ma1914.ogg",0)
		BeenIn_019_D3 = true
		-- Musique
		PlayMusic("Sounds/Musiques/M_Day1.ogg")
		end
		if not SAVE_00 then
			-- SAVE
			SAVE_00 = true
			SaveGame("0.xml")
		end
	end 
	
--DAY4
	if ETAT_DAY == "D4" then 
		CONSTANCE_DOOR_ROOM_OPENED = false
		if not SAVE_03 then
			-- SAVE
			SAVE_03 = true
			SaveGame("3.xml")
		end
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0020.wp" then 
		ChangeWarp(objectName)
	end
end

function OnMovieFinished(name)

	if (name == "Videos/Reve2.ogv") and ETAT_DAY == "D4" then 
		ShowDocument("Samedi")
		PlaySound("Sounds/SFX/J_Allumer.ogg",1)
		if WoundW72 and not FootPrintW72 then ------- Diary Cadavre w72
			SetDiaryPage(10, "Page10_03")
		elseif not WoundW72 and FootPrintW72 then
			SetDiaryPage(10, "Page10_02")
		elseif WoundW72 and FootPrintW72 then
			SetDiaryPage(10, "Page10_04")
		else
			SetDiaryPage(10, "Page10_01")
		end
		SetDiaryPage(11, "Page11")
	end
end

function OnDocumentClosed(documentId)
	if documentId == "Jeudi" then
		DrawText("Ma1914", "Ma1914.ogg",0) -- La nuit n'a pas été de tout repos, et j'ai peur que la journée qui s'annonce ne me réserve d'autres mauvaises surprises.
		SetDiaryPage(9, "Page9")
	end
	if documentId == "Dimanche" then
		if Tisane then
			DrawText("Ma2766", "Ma2766.ogg",0) -- Enfin une nuit sans mauvais rêves. Voilà qui annonce peut-être une journée moins macabre que les précédentes, à moins que ce ne soit juste la potion.
		else
			DrawText("Ma2767", "Ma2767.ogg",0) -- Encore ce rêve. J'aurais dû prendre une infusion, ça m'aurait peut-être évité une nouvelle nuit macabre.
		end
	end
end

function OnShowedDocumentButtonValidated(page, buttonName)
	if page == "ChoixCostume_zoomed_0"  then
		if buttonName == "button0" then
			DRESS_MONK = false		
			DRESS_CESAR = false
			DRESS_MADELEINE = true
			HideDocument()
		elseif buttonName == "button1" then
			DRESS_MONK = false		
			DRESS_CESAR = true
			DRESS_MADELEINE = false
			HideDocument()
		end	
	else
		ShowDocument("ChoixCostume")
	end	
end

